aboutsummaryrefslogtreecommitdiff
path: root/target/generic/target_skeleton
diff options
context:
space:
mode:
Diffstat (limited to 'target/generic/target_skeleton')
-rwxr-xr-xtarget/generic/target_skeleton/etc/init.d/S20urandom10
1 files changed, 10 insertions, 0 deletions
diff --git a/target/generic/target_skeleton/etc/init.d/S20urandom b/target/generic/target_skeleton/etc/init.d/S20urandom
index 433fafee4e..f73cea59ed 100755
--- a/target/generic/target_skeleton/etc/init.d/S20urandom
+++ b/target/generic/target_skeleton/etc/init.d/S20urandom
@@ -21,6 +21,12 @@ case "$1" in
then
cat /etc/random-seed >/dev/urandom
fi
+ # check for read only file system
+ if ! touch /etc/random-seed 2>/dev/null
+ then
+ echo "read-only file system detected...done"
+ exit
+ fi
rm -f /etc/random-seed
umask 077
dd if=/dev/urandom of=/etc/random-seed count=1 \
@@ -29,6 +35,10 @@ case "$1" in
[ "$VERBOSE" != no ] && echo "done."
;;
stop)
+ if ! touch /etc/random-seed 2>/dev/null
+ then
+ exit
+ fi
# Carry a random seed from shut-down to start-up;
# see documentation in linux/drivers/char/random.c
[ "$VERBOSE" != no ] && echo -n "Saving random seed... "